module ParseHtml (printDifferentDef) where

import Text.HTML.TagSoup

printDifferentDef :: String -> IO ()
printDifferentDef x = putStrLn (getDifferentDefMessages x)

getDifferentDefMessages :: String -> String
getDifferentDefMessages x = renderTags (differentDefTags x)

differentDefTags :: String -> [Tag String]
differentDefTags = 
    filter (~== TagText "") . (takeWhile (~/= "<div id=contentbox>"))
    . (dropWhile (~/= "<div id=vtoolbar>")) . parseTags

numberOfDef :: [Tag String] -> Int
numberOfDef tags = ((length tags) + 1) `div` 3
